Bug 119532 - Form Contextmenu in Writer, Calc, Draw and Impress
Summary: Form Contextmenu in Writer, Calc, Draw and Impress
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: andreas_k
URL:
Whiteboard: target:6.2.0
Keywords:
Depends on:
Blocks: Context-Menu
  Show dependency treegraph
 
Reported: 2018-08-27 09:31 UTC by andreas_k
Modified: 2018-09-13 20:24 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Contextmenu Form for Writer, Calc, Draw and Impress (67.54 KB, image/png)
2018-08-27 09:31 UTC, andreas_k
Details
Contextmenu Form for Writer, Calc, Draw and Impress V2 (466.82 KB, image/png)
2018-08-29 07:55 UTC, andreas_k
Details

Note You need to log in before you can comment on or make changes to this bug.
Description andreas_k 2018-08-27 09:31:00 UTC
Created attachment 144476 [details]
Contextmenu Form for Writer, Calc, Draw and Impress

writer
------
- Description and Name moved to bottom
- group feature is available when more than one item is selected (there is no specific subgroup)

calc
----
- menuseparator and arrangement like in all other apps

draw
----
- menuseparator and arrangement like in all other apps

impress
-------
- menuseparator and arrangement like in all other apps

so in general only tiny changes but with more consistency now.
Comment 1 Roman Kuznetsov 2018-08-27 19:53:28 UTC
looks not bad, +1 from me
Comment 2 andreas_k 2018-08-29 07:55:41 UTC
Created attachment 144528 [details]
Contextmenu Form for Writer, Calc, Draw and Impress V2

Form had Name and Description cause Description is for a11y and for form it's usefull to have it.
Comment 3 Heiko Tietze 2018-08-31 12:08:54 UTC
Description and Name don't need ellipsis IMHO. We should also consider to rename "Control..." to "Control Properties..." and "Form..." to "Form Properties...".

+1 for the rearrangement.
Comment 4 Commit Notification 2018-09-05 03:14:19 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8bf82d47d6bd749fc0a7c5fac211be44406e9615

tdf#119532 Contextmenu Form update

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Heiko Tietze 2018-09-05 06:08:45 UTC
I resolve the request as fixed, please reopen if needed (hopefully it's only a single patch to not run into trouble again in case revert becomes necessary).
Comment 6 Thomas Lendo 2018-09-13 20:24:16 UTC
(In reply to Heiko Tietze from comment #3)
> Description and Name don't need ellipsis IMHO.
I like the allipsis for all items that open a dialog that prompts user input.

> We should also consider to
> rename "Control..." to "Control Properties..." and "Form..." to "Form
> Properties...".
This is covered by Bug 105088.